package com.qiuguo.iot.data.resp.system;
import com.qiuguo.iot.data.entity.system.SystemTalkBindDeviceEntity;
import lombok.Data;
import org.hswebframework.ezorm.rdb.mapping.annotation.Comment;

import javax.persistence.Column;
import java.util.Date;
/**
* <p>
* </p>*自定义命令和设备动作绑定返回类
* @author wulin
* @since 2023-09-25
*/

@Data
public class SystemTalkBindDeviceResp {
    public SystemTalkBindDeviceResp(){
    }
    public SystemTalkBindDeviceResp(SystemTalkBindDeviceEntity entity){
        id = entity.getId();
        createTime = entity.getCreateTime();
        modifyTime = entity.getModifyTime();
        systemTalkId = entity.getSystemTalkId();
        userHandlingId = entity.getUserHandlingId();
        remark = entity.getRemark();
    }

    //
    private Long id;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //自定义命令id
    private Long systemTalkId;
    //设备操控id
    private Long userHandlingId;
    //分类字段名称
    private String categoryCode;
    //动作后的变量，名词
    private String askCommon;
    //回答内容（传给box）
    private String answerValue;
    //回答时的动作(数字人的口型以外动作)

    //执行失败所对应动作
    private String answerValueFaild;

    //回答时的动作(数字人的口型以外动作)
    private String answerAction;

    //执行失败所对应动作
    private String answerActionFaild;
    //回答时的背景音乐（URL）
    private String answerBackSound;
    //回答时的背景图片、视屏、动画（URL）
    private String answerBackImg;
    //备注
    private String remark;
}